Bug 2034602 (CVE-2021-4145)

Summary: CVE-2021-4145 QEMU: NULL pointer dereference in mirror_wait_on_conflicts() in block/mirror.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: berrange, cfergeau, crobinso, dbecker, jen, jferlan, jforbes, jjoyce, jmaloy, jschluet, knoel, lhh, lkundrak, lpeer, m.a.young, mburns, mkenneth, mrezanin, mst, ondrejj, pbonzini, rjones, sclewis, security-response-team, slinaber, virt-maint, virt-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-kvm 6.2.0 Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference issue was found in the block mirror layer of QEMU. The `self` pointer is dereferenced in mirror_wait_on_conflicts() without ensuring that it's not NULL. A malicious unprivileged user within the guest could use this flaw to crash the QEMU process on the host when writing data reaches the threshold of mirroring node.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-10 18:15:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2035011, 2001404, 2002607, 2034944    
Bug Blocks: 2031962, 2034603    

Description Guilherme de Almeida Suckevicz 2021-12-21 13:24:42 UTC
A NULL pointer dereference issue was found in QEMU in mirror_wait_on_conflicts() in block/mirror.c when creating a snapshot at some conditions.

Reference:
https://bugzilla.redhat.com/show_bug.cgi?id=2001404

Comment 1 Mauro Matteo Cascella 2021-12-22 14:04:42 UTC
Upstream patch:
https://gitlab.com/qemu-project/qemu/-/commit/66fed30c9cd11854fc878a4eceb507e915d7c9cd

Comment 7 Mauro Matteo Cascella 2021-12-22 17:35:41 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 2035011]

Comment 11 errata-xmlrpc 2022-05-10 13:17:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1759 https://access.redhat.com/errata/RHSA-2022:1759

Comment 12 Product Security DevOps Team 2022-05-10 18:15:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-4145